计费
打开账单门户
为用户的个人账单或组织的团队账单生成一个短期有效的客户门户 URL。
POST
/
api
/
v1
/
billing
/
portal
打开账单门户
curl --request POST \
--url https://api.example.com/api/v1/billing/portal \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/billing/portal"
payload = { "scope": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>'})
};
fetch('https://api.example.com/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/billing/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/billing/portal"
payload := strings.NewReader("{\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/billing/portal")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/billing/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body打开托管账单门户,供用户更新已保存的银行卡、查看发票或下载收据。可以将门户范围限定为个人账单客户,也可以限定为团队(组织)账单客户。
身份验证
需要携带具有billing 权限范围的 Bearer 令牌。参见
身份验证。
请求体
string
"user"(个人身份下的默认值)或 "org"(当调用方处于某个团队内且拥有
manageBilling 权限时的默认值)。团队范围还要求该团队已预先绑定付款方式——
在为账单充值之前尝试访问团队门户的调用方,会收到 409
team_billing_setup_required 错误,而不是正常响应。示例
curl
curl -X POST "https://api.hitheo.ai/api/v1/billing/portal" \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "scope": "org" }'
SDK
const { portal_url } = await theo.billingPortal({ scope: "org" });
window.open(portal_url, "_blank");
响应
{
"portal_url": "https://portal.hitheo.ai/session/...",
"scope": "org"
}
错误
| 状态码 | 错误码 | 含义 |
|---|---|---|
| 400 | org_context_required | 请求了 scope: "org",但当前没有活跃团队。 |
| 403 | permission_denied | 调用方在当前活跃团队中不具备 manageBilling 权限。 |
| 409 | team_billing_setup_required | 团队尚未绑定付款方式——请先完成一次结账。 |
| 503 | billing_unavailable | 当前部署未配置账单功能。 |
此页面对您有帮助吗?
打开账单门户
curl --request POST \
--url https://api.example.com/api/v1/billing/portal \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/billing/portal"
payload = { "scope": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>'})
};
fetch('https://api.example.com/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/billing/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/billing/portal"
payload := strings.NewReader("{\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/billing/portal")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/billing/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body